///home/berryj/link/bin/genMethods "-g" "-t" "Sequence<int>" "-h" "Set" "-r" "MSet<Sequence<int> >" "-I" "LINK/basic/Sequence.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Sequence.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef Sequence<int> _Sequence_int_;
typedef Set<Sequence<int> > _Set_Sequence_int__;
static Set<Sequence<int> > s__Set_Sequence_int__;

#define _Set_Sequence_int__DATA(x) ((Set<Sequence<int> >*) (EXTDATA(x)))
#define _Set_Sequence_int__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Set<Sequence<int> > >::type))
#define _Set_Sequence_int__ISNT_DATA(x) (!_Set_Sequence_int__IS_DATA(x))

#define _Set_Sequence_int__CXX_DATA(x) (*(Set<Sequence<int> >*) (EXTDATA(VAL(x))))
#define _Set_Sequence_int__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Set<Sequence<int> > >::type))
#define _Set_Sequence_int__CXX_ISNT_DATA(x) (!_Set_Sequence_int__CXX_IS_DATA(x))


PRIMITIVE STk_init__Set_Sequence_int__()
{
	Wrapper<_Set_Sequence_int__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Set_Sequence_int__>::name, 
			Wrapper<MSet<Sequence<int> > >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_Sequence_int_>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Sequence_int_>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Sequence_int_>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_Set_Sequence_int__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Set_Sequence_int__Methods(void);

PRIMITIVE STk_init_methods__Set_Sequence_int__()
{
	genExtra_Set_Sequence_int__Methods();
	return UNDEFINED;
}
